"""
Copyright (C) Cross The Road Electronics.  All rights reserved.
License information can be found in CTRE_LICENSE.txt
For support and suggestions contact support@ctr-electronics.com or file
an issue tracker at https://github.com/CrossTheRoadElec/Phoenix-Releases
"""

from enum import Enum

class SpnValue(Enum):
    TALON_FX_SYSTEM_STATE = 614
    STARTUP_RESET_FLAGS = 635
    VERSION_MAJOR = 733
    VERSION_MINOR = 734
    VERSION_BUGFIX = 735
    VERSION_BUILD = 736
    VERSION_FULL = 737
    LICENSING_IS_PRO_LICENSED = 750
    LICENSING_IS_SEASON_PASSED = 753
    CUSTOM_PARAM0 = 818
    CUSTOM_PARAM1 = 819
    CANCODER_SENSOR_DIRECTION = 823
    FRC_LOCK = 825
    ROBOT_ENABLED = 826
    LED1_ON_COLOR = 828
    LED1_OFF_COLOR = 829
    LED2_ON_COLOR = 830
    LED2_OFF_COLOR = 831
    ALL_FAULTS = 837
    ALL_STICKY_FAULTS = 838
    PIGEON2_USE_COMPASS = 912
    PIGEON2_DISABLE_TEMPERATURE_COMPENSATION = 947
    PIGEON2_DISABLE_NO_MOTION_CALIBRATION = 949
    PIGEON2_MOUNT_POSE_YAW = 954
    PIGEON2_MOUNT_POSE_PITCH = 955
    PIGEON2_MOUNT_POSE_ROLL = 956
    PIGEON2_GYRO_SCALARX = 960
    PIGEON2_GYRO_SCALARY = 961
    PIGEON2_GYRO_SCALARZ = 962
    PIGEON2_YAW = 969
    PIGEON2_PITCH = 970
    PIGEON2_ROLL = 971
    PIGEON2_QUATW = 972
    PIGEON2_QUATX = 973
    PIGEON2_QUATY = 974
    PIGEON2_QUATZ = 975
    PIGEON2_GRAVITY_VECTORX = 976
    PIGEON2_GRAVITY_VECTORY = 977
    PIGEON2_GRAVITY_VECTORZ = 978
    PIGEON2_TEMPERATURE = 979
    PIGEON2_NO_MOTION_CAL_ENABLED = 980
    PIGEON2_NO_MOTION_COUNT = 981
    PIGEON2_TEMP_COMP_DISABLED = 982
    PIGEON2_UP_TIME = 983
    PIGEON2_ACCUM_GYROX = 984
    PIGEON2_ACCUM_GYROY = 985
    PIGEON2_ACCUM_GYROZ = 986
    PIGEON2_ANGULAR_VELOCITY_XWORLD = 987
    PIGEON2_ANGULAR_VELOCITY_YWORLD = 988
    PIGEON2_ANGULAR_VELOCITY_ZWORLD = 989
    PIGEON2_ACCELERATIONX = 990
    PIGEON2_ACCELERATIONY = 991
    PIGEON2_ACCELERATIONZ = 992
    PIGEON2_SUPPLY_VOLTAGE = 993
    PIGEON2_ANGULAR_VELOCITYX = 996
    PIGEON2_ANGULAR_VELOCITYY = 997
    PIGEON2_ANGULAR_VELOCITYZ = 998
    PIGEON2_MAGNETIC_FIELDX = 1001
    PIGEON2_MAGNETIC_FIELDY = 1002
    PIGEON2_MAGNETIC_FIELDZ = 1003
    PIGEON2_RAW_MAGNETIC_FIELDX = 1004
    PIGEON2_RAW_MAGNETIC_FIELDY = 1005
    PIGEON2_RAW_MAGNETIC_FIELDZ = 1006
    CANCODER_MAGNET_OFFSET = 1007
    CANCODER_ABSOLUTE_SENSOR_RANGE = 1008
    TALON_FX_SET_SENSOR_POSITION = 1012
    CANCODER_SET_SENSOR_POSITION = 1014
    PIGEON2_SET_YAW = 1016
    DEVICE_ENABLED = 1045
    PRO_MOTOR_OUTPUT_MOTOR_VOLTAGE = 2024
    FORWARD_LIMIT = 2025
    REVERSE_LIMIT = 2026
    PRO_MOTOR_OUTPUT_ROTOR_POLARITY = 2027
    PRO_MOTOR_OUTPUT_DUTY_CYCLE = 2028
    PRO_MOTOR_OUTPUT_TORQUE_CURRENT = 2030
    PRO_SUPPLY_AND_TEMP_STATOR_CURRENT = 2031
    PRO_SUPPLY_AND_TEMP_SUPPLY_CURRENT = 2032
    PRO_SUPPLY_AND_TEMP_SUPPLY_VOLTAGE = 2033
    PRO_SUPPLY_AND_TEMP_DEVICE_TEMP = 2034
    PRO_SUPPLY_AND_TEMP_PROCESSOR_TEMP = 2035
    PRO_ROTOR_POS_AND_VEL_VELOCITY = 2037
    PRO_ROTOR_POS_AND_VEL_POSITION = 2038
    PRO_POS_AND_VEL_VELOCITY = 2041
    PRO_POS_AND_VEL_POSITION = 2042
    PRO_POS_AND_VEL_ACCELERATION = 2043
    PRO_PIDSTATE_ENABLES_INTEGRATED_ACCUM_DC = 2045
    PRO_PIDSTATE_ENABLES_INTEGRATED_ACCUM_V = 2046
    PRO_PIDSTATE_ENABLES_INTEGRATED_ACCUM_A = 2047
    PRO_PIDSTATE_ENABLES_FEED_FORWARD_DC = 2048
    PRO_PIDSTATE_ENABLES_FEED_FORWARD_V = 2049
    PRO_PIDSTATE_ENABLES_FEED_FORWARD_A = 2050
    TALON_FX_CONTROL_MODE = 2051
    PRO_PIDSTATE_ENABLES_IS_MOTION_MAGIC_RUNNING = 2055
    PRO_PIDSTATE_ENABLES_DEVICE_ENABLE = 2057
    PRO_PIDREF_PIDERR_PIDREF_POSITION = 2059
    PRO_PIDREF_PIDERR_PIDREF_VELOCITY = 2060
    PRO_PIDREF_PIDERR_PIDERR_POSITION = 2061
    PRO_PIDREF_PIDERR_PIDERR_VELOCITY = 2062
    PRO_PIDREF_PIDERR_CLOSED_LOOP_MODE = 2063
    PRO_PIDOUTPUT_PIDOUTPUT_MODE = 2065
    PRO_PIDOUTPUT_PROPORTIONAL_OUTPUT_DC = 2066
    PRO_PIDOUTPUT_PROPORTIONAL_OUTPUT_V = 2067
    PRO_PIDOUTPUT_PROPORTIONAL_OUTPUT_A = 2068
    PRO_PIDOUTPUT_DERIVATIVE_OUTPUT_DC = 2069
    PRO_PIDOUTPUT_DERIVATIVE_OUTPUT_V = 2070
    PRO_PIDOUTPUT_DERIVATIVE_OUTPUT_A = 2071
    PRO_PIDOUTPUT_OUTPUT_DC = 2072
    PRO_PIDOUTPUT_OUTPUT_V = 2073
    PRO_PIDOUTPUT_OUTPUT_A = 2074
    PRO_PIDOUTPUT_SLOT = 2075
    PRO_PIDREF_SLOPE_ECUTIME_REFERENCE_SLOPE_POSITION = 2076
    PRO_PIDREF_SLOPE_ECUTIME_REFERENCE_SLOPE_VELOCITY = 2077
    PRO_PIDREF_SLOPE_ECUTIME_CLOSED_LOOP_MODE = 2078
    PRO_MOTOR_OUTPUT_PIDSTATE_DIFF_DUTY_CYCLE = 2081
    PRO_MOTOR_OUTPUT_PIDSTATE_DIFF_TORQUE_CURRENT = 2082
    TALON_FX_DIFFERENTIAL_CONTROL_MODE = 2085
    PRO_MOTOR_OUTPUT_PIDSTATE_DIFF_INTEGRATED_ACCUM_DC = 2086
    PRO_MOTOR_OUTPUT_PIDSTATE_DIFF_INTEGRATED_ACCUM_V = 2087
    PRO_MOTOR_OUTPUT_PIDSTATE_DIFF_INTEGRATED_ACCUM_A = 2088
    PRO_MOTOR_OUTPUT_PIDSTATE_DIFF_FEED_FORWARD_DC = 2089
    PRO_MOTOR_OUTPUT_PIDSTATE_DIFF_FEED_FORWARD_V = 2090
    PRO_MOTOR_OUTPUT_PIDSTATE_DIFF_FEED_FORWARD_A = 2091
    PRO_AVG_POS_AND_VEL_VELOCITY = 2093
    PRO_AVG_POS_AND_VEL_POSITION = 2094
    PRO_DIFF_POS_AND_VEL_VELOCITY = 2097
    PRO_DIFF_POS_AND_VEL_POSITION = 2098
    PRO_DIFF_PIDREF_PIDERR_PIDREF_POSITION = 2100
    PRO_DIFF_PIDREF_PIDERR_PIDREF_VELOCITY = 2101
    PRO_DIFF_PIDREF_PIDERR_PIDERR_POSITION = 2102
    PRO_DIFF_PIDREF_PIDERR_PIDERR_VELOCITY = 2103
    PRO_DIFF_PIDREF_PIDERR_CLOSED_LOOP_MODE = 2104
    PRO_DIFF_PIDOUTPUT_PIDOUTPUT_MODE = 2106
    PRO_DIFF_PIDOUTPUT_PROPORTIONAL_OUTPUT_DC = 2107
    PRO_DIFF_PIDOUTPUT_PROPORTIONAL_OUTPUT_V = 2108
    PRO_DIFF_PIDOUTPUT_PROPORTIONAL_OUTPUT_A = 2109
    PRO_DIFF_PIDOUTPUT_DERIVATIVE_OUTPUT_DC = 2110
    PRO_DIFF_PIDOUTPUT_DERIVATIVE_OUTPUT_V = 2111
    PRO_DIFF_PIDOUTPUT_DERIVATIVE_OUTPUT_A = 2112
    PRO_DIFF_PIDOUTPUT_OUTPUT_DC = 2113
    PRO_DIFF_PIDOUTPUT_OUTPUT_V = 2114
    PRO_DIFF_PIDOUTPUT_OUTPUT_A = 2115
    PRO_DIFF_PIDOUTPUT_SLOT = 2116
    PRO_DIFF_PIDREF_SLOPE_ECUTIME_REFERENCE_SLOPE_POSITION = 2117
    PRO_DIFF_PIDREF_SLOPE_ECUTIME_REFERENCE_SLOPE_VELOCITY = 2118
    PRO_DIFF_PIDREF_SLOPE_ECUTIME_CLOSED_LOOP_MODE = 2119
    TALON_FX_MOTOR_CONSTANTS_KT = 2121
    TALON_FX_MOTOR_CONSTANTS_KV = 2122
    TALON_FX_MOTOR_CONSTANTS_STALL_CURRENT = 2123
    SLOT0_KP = 2124
    SLOT0_KI = 2125
    SLOT0_KD = 2126
    SLOT0_KS = 2127
    SLOT0_KV = 2128
    SLOT0_KA = 2129
    SLOT0_KG = 2130
    SLOT0_KG_TYPE = 2131
    SLOT1_KP = 2132
    SLOT1_KI = 2133
    SLOT1_KD = 2134
    SLOT1_KS = 2135
    SLOT1_KV = 2136
    SLOT1_KA = 2137
    SLOT1_KG = 2138
    SLOT1_KG_TYPE = 2139
    SLOT2_KP = 2140
    SLOT2_KI = 2141
    SLOT2_KD = 2142
    SLOT2_KS = 2143
    SLOT2_KV = 2144
    SLOT2_KA = 2145
    SLOT2_KG = 2146
    SLOT2_KG_TYPE = 2147
    CONFIG_INVERTED = 2148
    CONFIG_SUPPLY_VLOWPASS_TAU = 2149
    CONFIG_BEEP_ON_BOOT = 2150
    CONFIG_NEUTRAL_MODE = 2151
    CONFIG_DUTY_CYCLE_NEUTRAL_DB = 2152
    CONFIG_STATOR_CURRENT_LIMIT = 2153
    CONFIG_STATOR_CURR_LIMIT_EN = 2154
    CONFIG_SUPPLY_CURRENT_LIMIT = 2155
    CONFIG_SUPPLY_CURR_LIMIT_EN = 2156
    CONFIG_PEAK_FORWARD_DC = 2157
    CONFIG_PEAK_REVERSE_DC = 2158
    CONFIG_PEAK_FORWARDV = 2159
    CONFIG_PEAK_REVERSEV = 2160
    CONFIG_PEAK_FOR_TORQ_CURR = 2161
    CONFIG_PEAK_REV_TORQ_CURR = 2162
    CONFIG_TORQUE_NEUTRAL_DB = 2163
    CONFIG_FEEDBACK_ROTOR_OFFSET = 2164
    CONFIG_SENSOR_TO_MECHANISM_RATIO = 2165
    CONFIG_ROTOR_TO_SENSOR_RATIO = 2166
    CONFIG_FEEDBACK_SENSOR_SOURCE = 2167
    CONFIG_FEEDBACK_REMOTE_SENSOR_ID = 2168
    CONFIG_DUTY_CYCLE_OPEN_LOOP_RAMP_PERIOD = 2169
    CONFIG_VOLTAGE_OPEN_LOOP_RAMP_PERIOD = 2170
    CONFIG_TORQUE_OPEN_LOOP_RAMP_PERIOD = 2171
    CONFIG_DUTY_CYCLE_CLOSED_LOOP_RAMP_PERIOD = 2172
    CONFIG_VOLTAGE_CLOSED_LOOP_RAMP_PERIOD = 2173
    CONFIG_TORQUE_CLOSED_LOOP_RAMP_PERIOD = 2174
    CONFIG_FORWARD_LIMIT_TYPE = 2175
    CONFIG_FORWARD_LIMIT_AUTOSET_POS_ENABLE = 2176
    CONFIG_FORWARD_LIMIT_AUTOSET_POS_VALUE = 2177
    CONFIG_FORWARD_LIMIT_ENABLE = 2178
    CONFIG_FORWARD_LIMIT_SOURCE = 2179
    CONFIG_FORWARD_LIMIT_REMOTE_SENSOR_ID = 2180
    CONFIG_REVERSE_LIMIT_TYPE = 2181
    CONFIG_REVERSE_LIMIT_AUTOSET_POS_ENABLE = 2182
    CONFIG_REVERSE_LIMIT_AUTOSET_POS_VALUE = 2183
    CONFIG_REVERSE_LIMIT_ENABLE = 2184
    CONFIG_REVERSE_LIMIT_SOURCE = 2185
    CONFIG_REVERSE_LIMIT_REMOTE_SENSOR_ID = 2186
    CONFIG_FORWARD_SOFT_LIMIT_ENABLE = 2187
    CONFIG_REVERSE_SOFT_LIMIT_ENABLE = 2188
    CONFIG_FORWARD_SOFT_LIMIT_THRESHOLD = 2189
    CONFIG_REVERSE_SOFT_LIMIT_THRESHOLD = 2190
    CONFIG_MOTION_MAGIC_CRUISE_VELOCITY = 2191
    CONFIG_MOTION_MAGIC_ACCELERATION = 2192
    CONFIG_MOTION_MAGIC_JERK = 2193
    CONFIG_MOTION_MAGIC_EXPO_KV = 2194
    CONFIG_MOTION_MAGIC_EXPO_KA = 2195
    CONFIG_PEAK_DIFF_DC = 2196
    CONFIG_PEAK_DIFFV = 2197
    CONFIG_PEAK_DIFF_TORQ_CURR = 2198
    CANCODER_VELOCITY = 2199
    CANCODER_POSITION = 2200
    CANCODER_ABS_POSITION = 2201
    CANCODER_RAW_VEL = 2203
    CANCODER_RAW_POS = 2204
    CANCODER_SUPPLY_VOLTAGE = 2205
    CANCODER_MAG_HEALTH = 2206
    SPN_CLEAR_STICKY_FAULTS = 2209
    PRO_MOTOR_OUTPUT_BRIDGE_TYPE_PUBLIC = 2210
    CONFIG_CONTINUOUS_WRAP = 2232
    CONFIG_SUPPLY_CURRENT_LOWER_LIMIT = 2238
    CONFIG_SUPPLY_CURRENT_LOWER_TIME = 2239
    CONFIG_DIFFERENTIAL_SENSOR_SOURCE = 2253
    CONFIG_DIFFERENTIAL_TALON_FXSENSOR_ID = 2254
    CONFIG_DIFFERENTIAL_REMOTE_SENSOR_ID = 2255
    CONFIG_BEEP_ON_CONFIG = 2294
    CONFIG_ALLOW_MUSIC_DUR_DISABLE = 2295
    COMPLIANCY_VERSION = 2296
    VERSION_IS_PRO_LICENSED = 2297
    PRO_SUPPLY_AND_TEMP_DEVICE_TEMP2 = 2336
    SLOT0_KS_SIGN = 2359
    SLOT1_KS_SIGN = 2360
    SLOT2_KS_SIGN = 2361
    TALON_FX_MOTOR_TYPE = 2362
    TALON_FX_MOTOR_OUTPUT_STATUS = 2363
    CONFIG_CONTROL_TIMESYNC_FREQ = 2409
    CONFIG_VELOCITY_FILTER_TIME_CONSTANT = 2410
    FAULT_HARDWARE = 10001
    STICKY_FAULT_HARDWARE = 10002
    CLEAR_STICKY_FAULT_HARDWARE = 10003
    FAULT_PROC_TEMP = 10004
    STICKY_FAULT_PROC_TEMP = 10005
    CLEAR_STICKY_FAULT_PROC_TEMP = 10006
    FAULT_DEVICE_TEMP = 10007
    STICKY_FAULT_DEVICE_TEMP = 10008
    CLEAR_STICKY_FAULT_DEVICE_TEMP = 10009
    FAULT_UNDERVOLTAGE = 10010
    STICKY_FAULT_UNDERVOLTAGE = 10011
    CLEAR_STICKY_FAULT_UNDERVOLTAGE = 10012
    FAULT_BOOT_DURING_ENABLE = 10013
    STICKY_FAULT_BOOT_DURING_ENABLE = 10014
    CLEAR_STICKY_FAULT_BOOT_DURING_ENABLE = 10015
    FAULT_UNLICENSED_FEATURE_IN_USE = 10016
    STICKY_FAULT_UNLICENSED_FEATURE_IN_USE = 10017
    FAULT_PIGEON2_BOOTUP_ACCEL = 10019
    STICKY_FAULT_PIGEON2_BOOTUP_ACCEL = 10020
    CLEAR_STICKY_FAULT_PIGEON2_BOOTUP_ACCEL = 10021
    FAULT_PIGEON2_BOOTUP_GYROS = 10022
    STICKY_FAULT_PIGEON2_BOOTUP_GYROS = 10023
    CLEAR_STICKY_FAULT_PIGEON2_BOOTUP_GYROS = 10024
    FAULT_PIGEON2_BOOTUP_MAGNE = 10025
    STICKY_FAULT_PIGEON2_BOOTUP_MAGNE = 10026
    CLEAR_STICKY_FAULT_PIGEON2_BOOTUP_MAGNE = 10027
    FAULT_PIGEON2_BOOT_INTO_MOTION = 10028
    STICKY_FAULT_PIGEON2_BOOT_INTO_MOTION = 10029
    CLEAR_STICKY_FAULT_PIGEON2_BOOT_INTO_MOTION = 10030
    FAULT_PIGEON2_DATA_ACQUIRED_LATE = 10031
    STICKY_FAULT_PIGEON2_DATA_ACQUIRED_LATE = 10032
    CLEAR_STICKY_FAULT_PIGEON2_DATA_ACQUIRED_LATE = 10033
    FAULT_PIGEON2_LOOP_TIME_SLOW = 10034
    STICKY_FAULT_PIGEON2_LOOP_TIME_SLOW = 10035
    CLEAR_STICKY_FAULT_PIGEON2_LOOP_TIME_SLOW = 10036
    FAULT_PIGEON2_SATURATED_MAGNE = 10037
    STICKY_FAULT_PIGEON2_SATURATED_MAGNE = 10038
    CLEAR_STICKY_FAULT_PIGEON2_SATURATED_MAGNE = 10039
    FAULT_PIGEON2_SATURATED_ACCEL = 10040
    STICKY_FAULT_PIGEON2_SATURATED_ACCEL = 10041
    CLEAR_STICKY_FAULT_PIGEON2_SATURATED_ACCEL = 10042
    FAULT_PIGEON2_SATURATED_GYROS = 10043
    STICKY_FAULT_PIGEON2_SATURATED_GYROS = 10044
    CLEAR_STICKY_FAULT_PIGEON2_SATURATED_GYROS = 10045
    FAULT_CANCODER_BAD_MAGNET = 10046
    STICKY_FAULT_CANCODER_BAD_MAGNET = 10047
    CLEAR_STICKY_FAULT_CANCODER_BAD_MAGNET = 10048
    FAULT_TALONFX_BRIDGE_BROWNOUT = 10049
    STICKY_FAULT_TALONFX_BRIDGE_BROWNOUT = 10050
    CLEAR_STICKY_FAULT_TALONFX_BRIDGE_BROWNOUT = 10051
    FAULT_TALONFX_REMOTE_SENSOR_RESET = 10052
    STICKY_FAULT_TALONFX_REMOTE_SENSOR_RESET = 10053
    CLEAR_STICKY_FAULT_TALONFX_REMOTE_SENSOR_RESET = 10054
    FAULT_TALONFX_MISSING_DIFFERENTIAL_FX = 10055
    STICKY_FAULT_TALONFX_MISSING_DIFFERENTIAL_FX = 10056
    CLEAR_STICKY_FAULT_TALONFX_MISSING_DIFFERENTIAL_FX = 10057
    FAULT_TALONFX_REMOTE_SENSOR_POS_OVERFLOW = 10058
    STICKY_FAULT_TALONFX_REMOTE_SENSOR_POS_OVERFLOW = 10059
    CLEAR_STICKY_FAULT_TALONFX_REMOTE_SENSOR_POS_OVERFLOW = 10060
    FAULT_TALONFX_OVER_SUPPLYV = 10061
    STICKY_FAULT_TALONFX_OVER_SUPPLYV = 10062
    CLEAR_STICKY_FAULT_TALONFX_OVER_SUPPLYV = 10063
    FAULT_TALONFX_UNSTABLE_SUPPLYV = 10064
    STICKY_FAULT_TALONFX_UNSTABLE_SUPPLYV = 10065
    CLEAR_STICKY_FAULT_TALONFX_UNSTABLE_SUPPLYV = 10066
    FAULT_TALONFX_REVERSE_HARD_LIMIT = 10067
    STICKY_FAULT_TALONFX_REVERSE_HARD_LIMIT = 10068
    CLEAR_STICKY_FAULT_TALONFX_REVERSE_HARD_LIMIT = 10069
    FAULT_TALONFX_FORWARD_HARD_LIMIT = 10070
    STICKY_FAULT_TALONFX_FORWARD_HARD_LIMIT = 10071
    CLEAR_STICKY_FAULT_TALONFX_FORWARD_HARD_LIMIT = 10072
    FAULT_TALONFX_REVERSE_SOFT_LIMIT = 10073
    STICKY_FAULT_TALONFX_REVERSE_SOFT_LIMIT = 10074
    CLEAR_STICKY_FAULT_TALONFX_REVERSE_SOFT_LIMIT = 10075
    FAULT_TALONFX_FORWARD_SOFT_LIMIT = 10076
    STICKY_FAULT_TALONFX_FORWARD_SOFT_LIMIT = 10077
    CLEAR_STICKY_FAULT_TALONFX_FORWARD_SOFT_LIMIT = 10078
    FAULT_TALONFX_MISSING_REM_SOFT_LIM = 10079
    STICKY_FAULT_TALONFX_MISSING_REM_SOFT_LIM = 10080
    CLEAR_STICKY_FAULT_TALONFX_MISSING_REM_SOFT_LIM = 10081
    FAULT_TALONFX_MISSING_REM_HARD_LIM = 10082
    STICKY_FAULT_TALONFX_MISSING_REM_HARD_LIM = 10083
    CLEAR_STICKY_FAULT_TALONFX_MISSING_REM_HARD_LIM = 10084
    FAULT_TALONFX_MISSING_REMOTE_SENSOR = 10085
    STICKY_FAULT_TALONFX_MISSING_REMOTE_SENSOR = 10086
    CLEAR_STICKY_FAULT_TALONFX_MISSING_REMOTE_SENSOR = 10087
    FAULT_TALONFX_FUSED_SENSOR_OUT_OF_SYNC = 10088
    STICKY_FAULT_TALONFX_FUSED_SENSOR_OUT_OF_SYNC = 10089
    CLEAR_STICKY_FAULT_TALONFX_FUSED_SENSOR_OUT_OF_SYNC = 10090
    FAULT_TALONFX_STATOR_CURR_LIMIT = 10091
    STICKY_FAULT_TALONFX_STATOR_CURR_LIMIT = 10092
    CLEAR_STICKY_FAULT_TALONFX_STATOR_CURR_LIMIT = 10093
    FAULT_TALONFX_SUPPLY_CURR_LIMIT = 10094
    STICKY_FAULT_TALONFX_SUPPLY_CURR_LIMIT = 10095
    CLEAR_STICKY_FAULT_TALONFX_SUPPLY_CURR_LIMIT = 10096
    FAULT_TALONFX_USING_FUSED_CCWHILE_UNLICENSED = 10097
    STICKY_FAULT_TALONFX_USING_FUSED_CCWHILE_UNLICENSED = 10098
    FAULT_TALONFX_STATIC_BRAKE_DISABLED = 10100
    STICKY_FAULT_TALONFX_STATIC_BRAKE_DISABLED = 10101